Loading...
Searching...
No Matches
LocalUNumberRangeFormatterPointer Class Reference

"Smart pointer" class; closes a UNumberFormatter via unumf_close(). More...

`#include <unumberrangeformatter.h>`

## Detailed Description

"Smart pointer" class; closes a UNumberFormatter via unumf_close().

For most methods see the LocalPointerBase base class.

Usage:

    LocalUNumberRangeFormatterPointer uformatter(
        unumrf_openForSkeletonCollapseIdentityFallbackAndLocaleWithError(...));
    // no need to explicitly call unumrf_close()

See also
  LocalPointerBase
  LocalPointer

Stable
  ICU 68

The documentation for this class was generated from the following file:

- i18n/unicode/unumberrangeformatter.h